summaryrefslogtreecommitdiffstats
path: root/can_samples/init_can.sh
diff options
context:
space:
mode:
Diffstat (limited to 'can_samples/init_can.sh')
-rwxr-xr-xcan_samples/init_can.sh32
1 files changed, 32 insertions, 0 deletions
diff --git a/can_samples/init_can.sh b/can_samples/init_can.sh
new file mode 100755
index 00000000..a7900343
--- /dev/null
+++ b/can_samples/init_can.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+CAN_DEVICE=can0
+CAN_BITRATE=500000
+
+echo "Check if CAN module loaded:"
+lsmod | grep can > /dev/null
+if [ "$?" -ne "0" ]; then
+ echo -e "\tCAN module is not loaded, loading it..."
+ sudo modprobe can
+ if [ "$?" -ne "0" ]; then
+ echo -e "\tFAILED to load CAN module !"
+ exit 1
+ fi
+ echo -e "\tCAN module loaded."
+fi
+
+echo "Setup connection:"
+sudo ip link set $CAN_DEVICE type can bitrate $CAN_BITRATE
+if [ "$?" -ne 0 ]; then
+ echo -e "\tFAILED to configure $CAN_DEVICE interface !"
+ exit 2
+fi
+
+sudo ip link set up $CAN_DEVICE
+if [ "$?" -ne 0 ]; then
+ echo -e "\tFAILED to enable $CAN_DEVICE interface !"
+ exit 3
+fi
+
+echo "Ready to use $CAN_DEVICE !"
+